//
// C++ Interface: KColorButton
//
// Description: A Push button associated with a QColorDialog
//
//
// Author: Jean-Michel PETIT <k9copy@free.fr>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef KCOLORBUTTON_H
#define KCOLORBUTTON_H

#include <QPushButton>
#include <QColor>
#include <QResizeEvent>
class KColorButton : public QPushButton
{
Q_OBJECT
public:
    explicit KColorButton(QWidget *parent = 0);
    void setColor(const QColor &color);
    QColor color();
private:
    QColor m_color;
signals:
    void changed(QColor);
protected slots:
    void pressed();
protected:
    void resizeEvent ( QResizeEvent * event ) ;
};

#endif // KCOLORBUTTON_H
